updateDocument
curl --request PUT \
--url https://api.artemis.cynopsis.co/api/customer/{customerId}/document/{documentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'X-Domain-ID: <x-domain-id>' \
--form front='@example-file' \
--form 'document={
"type": "NATIONAL_ID",
"number": "S1234567A",
"authenticity": "ORIGINAL",
"issueDate": "2020-01-01T00:00:00.000Z",
"expiryDate": "2030-01-01T00:00:00.000Z",
"showExpiryNotification": true
}' \
--form back='@example-file'import requests
url = "https://api.artemis.cynopsis.co/api/customer/{customerId}/document/{documentId}"
files = {
"front": ("example-file", open("example-file", "rb")),
"back": ("example-file", open("example-file", "rb"))
}
payload = { "document": "{
\"type\": \"NATIONAL_ID\",
\"number\": \"S1234567A\",
\"authenticity\": \"ORIGINAL\",
\"issueDate\": \"2020-01-01T00:00:00.000Z\",
\"expiryDate\": \"2030-01-01T00:00:00.000Z\",
\"showExpiryNotification\": true
}" }
headers = {
"X-Domain-ID": "<x-domain-id>",
"Authorization": "Bearer <token>"
}
response = requests.put(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('front', '<string>');
form.append('document', '{
"type": "NATIONAL_ID",
"number": "S1234567A",
"authenticity": "ORIGINAL",
"issueDate": "2020-01-01T00:00:00.000Z",
"expiryDate": "2030-01-01T00:00:00.000Z",
"showExpiryNotification": true
}');
form.append('back', '<string>');
const options = {
method: 'PUT',
headers: {'X-Domain-ID': '<x-domain-id>', Authorization: 'Bearer <token>'}
};
options.body = form;
fetch('https://api.artemis.cynopsis.co/api/customer/{customerId}/document/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignees": [
{
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
}
],
"authenticity": "<string>",
"back": "<string>",
"backName": "<string>",
"createdAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
},
"customerId": 123,
"expiryDate": "2023-12-25",
"front": "<string>",
"frontName": "<string>",
"id": 123,
"issueDate": "2023-12-25",
"number": "<string>",
"parentCustomerId": 123,
"parentParticular": {},
"particular": {},
"showExpiryNotification": true,
"type": "<string>",
"updatedAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"updatedBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
}
}customer-controller
updateDocument
PUT
/
api
/
customer
/
{customerId}
/
document
/
{documentId}
updateDocument
Authorizations
OAuth2_Client_CredentialsOAuth2_Password
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
X-Domain-ID
Path Parameters
customerId
documentId
Body
multipart/form-data
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
